> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List source specs

> List all source specs



## OpenAPI

````yaml get /v2/sourcespecs
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/sourcespecs:
    get:
      tags:
        - Source Specs
      summary: List source specs
      description: List all source specs
      operationId: listSourceSpecs
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SourceSpecSummary'
              example:
                data:
                  - name: google_calendar
                    displayName: Google Calendar
                    website: https://calendar.google.com
                    tagLine: Calendar App
                    lifecycle: STABLE
                    authenticationStrategy: AUTH_CODE
                  - name: freshsales
                    displayName: Freshsales
                    website: https://www.freshworks.com
                    tagLine: Sales CRM
                    lifecycle: STABLE
                    authenticationStrategy: TOKEN
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
components:
  schemas:
    SourceSpecSummary:
      type: object
      properties:
        name:
          type: string
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 1
        displayName:
          type: string
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 2
        website:
          type: string
          format: uri
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 3
        tagLine:
          type: string
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 4
        lifecycle:
          type: string
          enum:
            - ALPHA
            - BETA
            - STABLE
            - DEPRECATED
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 5
        authenticationStrategy:
          type: string
          enum:
            - NONE
            - BASIC
            - TOKEN
            - AUTH_CODE
            - CLIENT_CREDENTIALS
            - FETCH_CREDENTIALS
            - OIDC
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 6
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````